Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76872 - memory leak in gweather-applet-2
Summary: memory leak in gweather-applet-2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-applets
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mark McLoughlin
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-28 15:36 UTC by Need Real Name
Modified: 2007-04-18 16:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-20 02:26:10 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-10-28 15:36:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Gweather-applet-2 memory usage steadily increases over time.  The first time I
noticed this, gweather-applet-2 was using 384 MB of memory (reported by top);
this was after running the applet for 1-2 weeks.  After killing and restarting
gweather-applet-2, I noticed that it's memory use (reported by top) increased
from 8.7 MB to 21 MB over a 12 hour period.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. add gweather-applet-2 to gnome panel
2. run top
3. watch the memory used by gweather-applet-2 slowly creep up and up
	

Actual Results:  Gweather-applet-2 consumed massive amount of memory.

Expected Results:  Gweather-applet-2 should not consume massive amount of memory.

Additional info:

A memory leak in gweather-applet-2 was reported in gnome bugzilla:
http://bugzilla.gnome.org/show_bug.cgi?id=95948
http://bugzilla.gnome.org/show_bug.cgi?id=96443

Comment 1 Nathan G. Grennan 2002-12-03 04:43:40 UTC
I just experienced this bug. I have been running gweather-applet-2 for months
and recently upgraded motherboard and memory. As a result my memory went from
768mb to 512mb. I also don't have a swap partition or file. Just now while
opening a new message window in Evolution I saw the beginnings of a out of
memory storm. So I closed galeon, evolution, and mplayer. Then I ran top in a
terminal and sorted by memory. I found gweather-applet-2 was using 19.4% of
memory, or 99.328mb of 512mb. The current uptime is two days.

Comment 2 Havoc Pennington 2002-12-20 02:26:10 UTC
http://bugzilla.gnome.org/show_bug.cgi?id=96443 claims fixed.
Not sure rawhide has quite new enough gnome-applets but it will shortly.


Note You need to log in before you can comment on or make changes to this bug.